<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

class PrestAppCustomController
{
    public function getGDPRData($context)
    {
        $gdpr = Configuration::get('PRESTAPP_CUSTOM_GDPR', null);
        if ($gdpr) {
            $gdpr_text = Configuration::get('PRESTAPP_CUSTOM_GDPR_TEXT', null);
            if (json_decode($gdpr_text)) {
                foreach (json_decode($gdpr_text) as $gdpr_lang) {
                    if ($gdpr_lang->id_lang == $context->language->id) {
                        return $gdpr_lang->value;
                    }
                }
            } elseif ($gdpr_text) {
                return $gdpr_text;
            }
        }

        return null;
    }
}
